View Issue Details

IDProjectCategoryView StatusLast Update
0005991Talerexchangepublic2019-12-20 19:11
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005991: /wire response should include the master public key only once and at the top-level
DescriptionCurrently, each *wire account* details object contains a copy of the master public key. The wire fees don't contain any info about the master public key.

We should just include the master_pub *once* at the top-level of the response and omit it from the wire account details.
TagsNo tags attached.

Activities

Christian Grothoff

2019-12-12 16:00

manager   ~0015147

As of 97810cc4..204358e2 (protocol version: 6:0:0) we now return the master_pub *also* in the top-level of the /wire response.

I did NOT remove it from the individual accounts (yet), for backwards-compatibility.

Florian Dold

2019-12-12 16:04

manager   ~0015148

At least for the wallets, removing the master_pub doesn't break anything. The wallet uses the master_pub from the /keys response to verify the signatures and only requires "url" and "master_sig" to be present.

Christian Grothoff

2019-12-12 16:07

manager   ~0015149

d5f4f6ff..b999a6b2 now marks the remaining change in the exchange logic, to be done once the wallet has been updated.

Issue History

Date Modified Username Field Change
2019-12-12 15:40 Florian Dold New Issue
2019-12-12 15:40 Florian Dold Status new => assigned
2019-12-12 15:40 Florian Dold Assigned To => Christian Grothoff
2019-12-12 16:00 Christian Grothoff Note Added: 0015147
2019-12-12 16:04 Florian Dold Note Added: 0015148
2019-12-12 16:07 Christian Grothoff Note Added: 0015149
2019-12-12 16:07 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2019-12-18 23:17 Christian Grothoff Status assigned => resolved
2019-12-18 23:17 Christian Grothoff Resolution open => fixed
2019-12-18 23:17 Christian Grothoff Fixed in Version => 0.6
2019-12-18 23:17 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2019-12-20 19:11 Christian Grothoff Status resolved => closed